# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'huffnpuff/version'

Gem::Specification.new do |spec|
  spec.name          = "huffnpuff"
  spec.version       = Huffnpuff::VERSION
  spec.authors       = ["Bryan Colvin"]
  spec.email         = ["bryan@bdlsys.com"]

  spec.summary       = %q{Huffman encoding system}
  spec.description   = %q{Huffnpuff implements a general purpose Huffman Coding system that uses a construction string which can implement any system.
This also includes the bitfifo gem which allows variable length bit sequences to address the internal table of the
Huffnpuff object instance. Huffman coding is essential for compression techniques such as MPEG, and PKZIP.
}
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  
  spec.add_runtime_dependency 'bitfifo', '~> 0.2', '>= 0.2.1'

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency 'byebug', '~> 5.0', '>= 5.0.0'
  
end
